#!/bin/sh

# Don't hack this script by hand if it's in one of your PATH directories.
# Instead, modify the pre-script in the YODL source package and do a 
# "make installscripts".

#################################################### Print error msg and die.
error()
{
    echo yodl2msps: $@ 1>&2
    exit 1
}

################################################### Print usage info and die.
usage()
{
    cat << ENDUSAGE
    
ICCE YODL to PostScript via ms conversion driver V1.22
Copyright (c) K. Kubat / ICCE 1996. All rights reserved.
Another MegaHard Production!

Usage: yodl2msps [flags] file
Where:
    flags: Options for processing, run "yodl" without arguments to see
    file:  Input file, extension .yo assumed
This converter runs "yodl2ms" to convert the input file to ms format, 
then runs "groff -t -Tps -mgs" to convert it to PostScript format.

ENDUSAGE

    exit 1
}

###################################################### Start of main program.

# get all flags
flags=""
inf=""
while [ "$1" != "" ] ; do
    case $1 in
        -*)
            # if you don't have bash, use
            # flags=`echo $flags $1`
            flags="$flags $1"
            shift
            ;;
        *)
            inf=$1
            shift
            ;;
    esac
done

# no input file, nogo
if [ "$inf" = "" ] ; then
    usage
fi

# determine output file, logfile, dvi file
# if you don't have bash, use:
# echo $inf | grep '\.yo' > /dev/null 2>&1
# if [ $? -eq 0 ] ; then
#     msf=`echo $inf | sed 's/\.yo/.ms/'`
#     psf=`echo $inf | sed 's/\.yo/.ps/'`
# else
#     msf=`echo $inf.ms`
#     psf=`echo $inf.ps`
# fi
msf=${inf%%.yo}.ms
psf=${inf%%.yo}.ps

yodl2ms $flags $inf || error "YODL to LaTeX conversion failed"
groff -t -Tps -mgs $msf > $psf || error "ms to PostScript conversion failed"
